<?php
/**
 * VariantsApiTest
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\PimClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi PIM.
 *
 * PIM
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace Ensi\PimClient;

use \Ensi\PimClient\Configuration;
use \Ensi\PimClient\ApiException;
use \Ensi\PimClient\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * VariantsApiTest Class Doc Comment
 *
 * @category Class
 * @package  Ensi\PimClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class VariantsApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for createVariantGroup
     *
     * Запрос на создание новой склейки.
     *
     */
    public function testCreateVariantGroup()
    {
    }

    /**
     * Test case for deleteVariantGroup
     *
     * Запрос на удаление склейки.
     *
     */
    public function testDeleteVariantGroup()
    {
    }

    /**
     * Test case for getVariantGroup
     *
     * Запрос на получение склейки товаров.
     *
     */
    public function testGetVariantGroup()
    {
    }

    /**
     * Test case for patchVariantGroup
     *
     * Запрос на обновление отдельных свойств склейки.
     *
     */
    public function testPatchVariantGroup()
    {
    }

    /**
     * Test case for replaceVariantGroup
     *
     * Запрос на обновление данных склейки.
     *
     */
    public function testReplaceVariantGroup()
    {
    }

    /**
     * Test case for searchVariantGroups
     *
     * Поиск склеек, удовлетворяющих фильтру.
     *
     */
    public function testSearchVariantGroups()
    {
    }
}
